import path from "path";
import tailwindcss from "@tailwindcss/vite";
import { defineConfig } from "vite";
import { sveltekit } from "@sveltejs/kit/vite";
import wasm from 'vite-plugin-wasm';

export default defineConfig({
	plugins: [sveltekit(), tailwindcss(), wasm()],
	resolve: {
		alias: { $lib: path.resolve("./src/lib"), "@": path.resolve("./src/lib") },
	},
	server: {
		port: 3000,
		proxy: {
			"/api": {
				rewrite: (path) => path.replace(/^\/api/, ""),
				target: "http://localhost:8055",
				changeOrigin: true,
				secure: false,
				ws: true,
			},
		},
	},
});
